<template>
  <file-player
    v-if="audio"
    ref="player"
    v-model="playing"
    :audio="audio"
    :current-time.sync="currentTime"
  />
</template>

<script lang="ts">
import {
  Component, Mixins, VModel,
} from 'vue-property-decorator';
import FilePlayer from './FilePlayer.vue';
import MusicalTimeHandlingMixin from '../mixins/MusicalTimeHandlingMixin';

@Component({ components: { FilePlayer } })
export default class FilePlayerContainer
  extends Mixins(MusicalTimeHandlingMixin) {
  @VModel({ default: false })
  playing!: boolean;
}
</script>
